| Bsoft 2.0.5 Bernard's software package

Functions
mg_marker.h File Reference

Header file for micrograph marker functions. More...

`#include "marker.h"`
`#include "mg_processing.h"`

Go to the source code of this file.

## Functions
long | project_marker_lists (Bproject *project)
| Lists micrograph markers. More...
long | project_marker_in_particle (Bproject *project)
| Enumerates markers within particles. More...
long | project_marker_in_particle_image (Bproject *project, double marker_radius)
| Enumerates markers within particles. More...

## Detailed Description

Header file for micrograph marker functions.

Author
  Bernard Heymann

Date
  Created: 20150212
  Modified: 20150212

Definition in file mg_marker.h.

## Function Documentation

## ◆ project_marker_in_particle()

long project_marker_in_particle | ( | Bproject * | project | ) |

Enumerates markers within particles.

Parameters

  *project | micrograph project.

Returns
  long number of markers (<0 means failure).

Definition at line 72 of file mg_marker.cpp.

## ◆ project_marker_in_particle_image()

long project_marker_in_particle_image | ( | Bproject * | project,
|  | double | marker_radius
| ) |  |

Enumerates markers within particles.

Parameters

  *project | micrograph project.
  marker_radius | search radius to associate with marker.

Returns
  long number of markers (<0 means failure).

Definition at line 135 of file mg_marker.cpp.

## ◆ project_marker_lists()

long project_marker_lists | ( | Bproject * | project | ) |

Lists micrograph markers.

Parameters

  *project | micrograph project.

Returns
  long number of markers (<0 means failure).

Definition at line 23 of file mg_marker.cpp.